#include "thingProperties.h"
#include "DHT.h" //Adafruit DHT Sensor Library v1.2.3 

#define DHTpin 4     // Sensörün bağlandığı pin. NodeMCU 1.0 (ESP-12E) D2 pini.
#define DHTtipi DHT11   // Sensör tipi: DHT11, DHT21, DHT22.

DHT dht(DHTpin, DHTtipi); //dht isimli nesne oluşturuldu.

void setup() {
  pinMode(2, OUTPUT);     //  GPIO2 pini D4 pini çıkış
  pinMode(4, INPUT);     //  GPIO4 pini D2 pini giriş
  dht.begin();
  Serial.begin(9600);
  delay(1500);
  initProperties();

  ArduinoCloud.begin(ArduinoIoTPreferredConnection);

  setDebugMessageLevel(2);
  ArduinoCloud.printDebugInfo();
}

void loop() {
  ArduinoCloud.update();
  nem = dht.readHumidity(); //Nem bilgisini oku.
  sicaklik = dht.readTemperature(); //Sıcaklık bilgisini oku.

  Serial.print("Sıcaklık: ");
  Serial.print(sicaklik);
  Serial.print(" °C \t");
  Serial.print("Nem: %");
  Serial.println(nem);
}

void onLedChange()  {
  if (led)
    digitalWrite(2, LOW); // NodeMCU 1.0 (ESP-12E) D4 pini. Dahili LED aktif 0'dır.
  else
    digitalWrite(2, HIGH);
}
